/*会计事件库-清理映射类型分录临时表数据*/

/*调度任务类名*/
DELETE FROM t_sch_taskdefine WHERE FID = '3JWF68CKONVM';
INSERT INTO t_sch_taskdefine (fid, fclassname, fnumber, fappid) VALUES ('3JWF68CKONVM', 'kd.fi.v2.fah.task.ClearValMapTmpDataTask', 'fah_ClearValMapTmpDataTask', 'edah');


DELETE FROM t_sch_taskdefine_l WHERE FPKID = '3JWF68CKQRAN';
DELETE FROM t_sch_taskdefine_l WHERE FPKID = '3JWF68CKQRAO';
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('3JWF68CKQRAN', '3JWF68CKONVM', 'zh_CN', '映射数据临时表清理');
INSERT INTO t_sch_taskdefine_l (fpkid, fid, flocaleid, fname) VALUES ('3JWF68CKQRAO', '3JWF68CKONVM', 'zh_TW', '映射數據臨時表清理');

/*调度作业*/
DELETE FROM T_SCH_JOB WHERE FID = '3JWFV0=1VZH7';
INSERT INTO t_sch_job (fid, fjobtype, ftaskclassname, frunbyuserid, fnumber, ftaskdefineid, fstatus, fparams, 
					   ftimeout, frunbyorgid, frunbylang, fconcurrent, frunmode, fstrategy, fretrytime, fcanstop) VALUES ('3JWFV0=1VZH7', 'BIZ', 
					   'kd.fi.v2.fah.task.ClearValMapTmpDataTask', 13466739, 'edah_fah_ClearValMapTmpDataTask_job_SKDJ_S', '3JWF68CKONVM', '1', '{}', 0, 0, ' ', '0', '0', '1', 0, '0');


DELETE FROM T_SCH_JOB_l WHERE FPKID = '3JWFV0=1TW06';
DELETE FROM T_SCH_JOB_l WHERE FPKID = '3JWFV0=1TW07';
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('3JWFV0=1TW06', '3JWFV0=1VZH7', 'zh_CN', '映射数据临时表清理作业');
INSERT INTO t_sch_job_l (fpkid, fid, flocaleid, fname) VALUES ('3JWFV0=1TW07', '3JWFV0=1VZH7', 'zh_TW', '映射數據臨時表清理作業');

-- 调度计划
DELETE FROM T_SCH_SCHEDULE WHERE FID = '3JWTSYPXTFC1';
DELETE FROM T_SCH_SCHEDULE WHERE FID = '3JWTSYPXTFC1';
INSERT INTO T_SCH_SCHEDULE(FTWENTY,FFIVE,FELEVEN,FNINE,FNO,FSUN,FTWO,FEIGHT,FNOV,FPLAN,FWED,FHOST,FTWENTYTWO,FFOUR,FMAR,FSEP,FENDTIME,FSIX,FMAY,FREPEATMODE,FTHIRTYONE,FBYDAYORWEEK,FTWENTYSEVEN,FTWENTYSIX,FTHIRTEEN,FAUG,FDESC,FFIFTEEN,FTWENTYONE,FBYWEEK,FTUES,FSEVENTEEN,FSEVEN,FTWENTYFOUR,FMON,FTHIRTY,FTHREE,FFOURTEEN,FJAN,FNINETEEN,FTHUR,FTEN,FFRI,FJOBID,FSTARTTIME,FOCT,FAPR,FSIXTEEN,FID,FSAT,FONE,FTWENTYEIGHT,FTWENTYTHREE,FTWELVE,FNOWEEK,FSTATUS,FNUMBER,FTWENTYFIVE,FEIGHTEEN,FCYCLENUM,FTWENTYNINE,FJUL,FDEC,FJUN,FFEB) VALUES ('0','0','0','0',NULL,'0','0','0','0','0 0 13 ? * 1','0','172.19.109.61','0','0','0','0',{ts'2099-12-31  00:00:00'},'0','0','w','0',NULL,'0','0','0','0','事件将于2023-09-17 03:00:00起，每1周的星期日13时重复。
预计最近10次执行时间：
2023-09-17 13:00:00,
2023-09-24 13:00:00,
2023-10-01 13:00:00,
2023-10-08 13:00:00,
2023-10-15 13:00:00,
2023-10-22 13:00:00,
2023-10-29 13:00:00,
2023-11-05 13:00:00,
2023-11-12 13:00:00,
2023-11-19 13:00:00','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','3JWFV0=1VZH7',{ts'2023-09-17  00:00:00'},'0','0','0','3JWTSYPXTFC1','0','0','0','0','0',NULL,'0','fah_ClearValMapTmpDataTask','0','0',1,'0','0','0','0','0'); 


DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '3JWTSYPXVIU2';
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '3JWTSYPXVIU3';
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('3JWTSYPXVIU2', '3JWTSYPXTFC1', 'zh_CN', '映射数据临时表清理计划');
INSERT INTO t_sch_schedule_l (fpkid, fid, flocaleid, fname) VALUES ('3JWTSYPXVIU3', '3JWTSYPXTFC1', 'zh_TW', '映射數據臨時表清理計劃');

-- 调度计划分录
DELETE FROM t_sch_schedule_entry WHERE fentryid = '3JWTSYPXTFC2';
INSERT INTO t_sch_schedule_entry (fid, fentryid, fseq, fjobnumber) VALUES ('3JWTSYPXTFC1', '3JWTSYPXTFC2', 1, '3JWFV0=1VZH7');
